part of '../index.dart';

class APThemes {
  static final defaultTheme = ThemeData(
    tabBarTheme: TabBarTheme(
      indicatorColor: DefaultLightBaseTokenColors.primary80,
      overlayColor: MaterialStateColor.resolveWith(
        (states) => DefaultLightBaseTokenColors.primary20,
      ),
    ),
    textSelectionTheme: const TextSelectionThemeData(
      cursorColor: DefaultLightBaseTokenColors.primary80,
      selectionColor: DefaultLightBaseTokenColors.primary80,
      selectionHandleColor: DefaultLightBaseTokenColors.primary80,
    ),
    textTheme: const TextTheme(
      displayLarge: MobileFontStyles.fontMobileHeadlineH1, // s28.0 w700
      displayMedium: MobileFontStyles.fontMobileHeadlineH2, // s24.0 w700
      displaySmall: MobileFontStyles.fontMobileHeadlineH3, // s18.0 w700
      headlineLarge: MobileFontStyles.fontMobileHeadlineH4, // s16.0 w500
      headlineMedium: MobileFontStyles.fontMobileHeadlineH5, // s15.0 w500
      bodyLarge: MobileFontStyles.fontMobileBodyL, // s16.0 w400
      bodyMedium: MobileFontStyles.fontMobileBodyM, // s15.0 w400
      bodySmall: MobileFontStyles.fontMobileBodyS, // s14.0 w400
      labelMedium: MobileFontStyles.fontMobileCaptionM, // s14.0 w500
      labelSmall: MobileFontStyles.fontMobileCaptionS, // s12.0 w700
    ),
    extensions: <ThemeExtension<dynamic>>[
      IconPrimaryColors(
        primary80: DefaultLightBaseTokenColors.primary80,
        primary60: DefaultLightBaseTokenColors.primary60,
        primary40: DefaultLightBaseTokenColors.primary40,
      ),
      IconSecondaryColors(
        secondary100: DefaultLightBaseTokenColors.secondary100,
        secondary70: DefaultLightBaseTokenColors.secondary70,
        secondary40: DefaultLightBaseTokenColors.secondary40,
        secondary20: DefaultLightBaseTokenColors.secondary20,
        secondary0: DefaultLightBaseTokenColors.secondary0,
      ),
      IconSystemColors(
        good: DefaultLightBaseTokenColors.systemGood70,
        bad: DefaultLightBaseTokenColors.systemBad70,
        warning: DefaultLightBaseTokenColors.systemWarning70,
        info: DefaultLightBaseTokenColors.systemInfo70,
        attention: DefaultLightBaseTokenColors.accentYellow70,
      ),
      ButtonPrimaryColors(
        defaultFill: DefaultLightBaseTokenColors.primary80,
        hoverFill: DefaultLightBaseTokenColors.primary90,
        pressedFill: DefaultLightBaseTokenColors.primary100,
        disabledFill: DefaultLightBaseTokenColors.primary40,
        focusedFill: DefaultLightBaseTokenColors.primary80,
        loadingFill: DefaultLightBaseTokenColors.primary80,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.secondary0,
        hoverText: DefaultLightBaseTokenColors.secondary0,
        pressedText: DefaultLightBaseTokenColors.secondary0,
        disabledText: DefaultLightBaseTokenColors.secondary0,
        focusedText: DefaultLightBaseTokenColors.secondary0,
        defaultIcon: DefaultLightBaseTokenColors.secondary0,
        hoverIcon: DefaultLightBaseTokenColors.secondary0,
        pressedIcon: DefaultLightBaseTokenColors.secondary0,
        disabledIcon: DefaultLightBaseTokenColors.secondary0,
        focusedIcon: DefaultLightBaseTokenColors.secondary0,
        loadingIcon: DefaultLightBaseTokenColors.secondary0,
      ),
      LinkColors(
        defaultFill: DefaultLightBaseTokenColors.primary10,
        hoverFill: DefaultLightBaseTokenColors.primary20,
        pressedFill: DefaultLightBaseTokenColors.primary30,
        disabledFill: DefaultLightBaseTokenColors.primary10,
        focusedFill: DefaultLightBaseTokenColors.primary10,
        focusedBorder2: DefaultLightBaseTokenColors.systemBad40,
        defaultText: DefaultLightBaseTokenColors.primary80,
        hoverText: DefaultLightBaseTokenColors.primary90,
        pressedText: DefaultLightBaseTokenColors.primary100,
        disabledText: DefaultLightBaseTokenColors.primary40,
        focusedText: DefaultLightBaseTokenColors.primary80,
        defaultIcon: DefaultLightBaseTokenColors.primary80,
        hoverIcon: DefaultLightBaseTokenColors.primary90,
        pressedIcon: DefaultLightBaseTokenColors.primary100,
        disabledIcon: DefaultLightBaseTokenColors.primary40,
        focusedIcon: DefaultLightBaseTokenColors.primary80,
      ),
      TextPrimaryColors(
        primary80: DefaultLightBaseTokenColors.primary80,
        primary60: DefaultLightBaseTokenColors.primary60,
        primary40: DefaultLightBaseTokenColors.primary40,
      ),
      TextSecondaryColors(
        secondary100: DefaultLightBaseTokenColors.secondary100,
        secondary80: DefaultLightBaseTokenColors.secondary80,
        secondary70: DefaultLightBaseTokenColors.secondary70,
        secondary60: DefaultLightBaseTokenColors.secondary50,
        secondary40: DefaultLightBaseTokenColors.secondary40,
        secondary0: DefaultLightBaseTokenColors.secondary0,
      ),
      TextSystemColors(
        good: DefaultLightBaseTokenColors.systemGood70,
        bad: DefaultLightBaseTokenColors.systemBad70,
        warning: DefaultLightBaseTokenColors.systemWarning70,
        info: DefaultLightBaseTokenColors.systemInfo70,
        attention: DefaultLightBaseTokenColors.accentYellow80,
      ),
      SelectorDeselectedColors(
        defaultFill: DefaultLightBaseTokenColors.secondary0,
        hoverFill: DefaultLightBaseTokenColors.secondary0,
        pressedFill: DefaultLightBaseTokenColors.secondary0,
        disabledFill: DefaultLightBaseTokenColors.secondary10,
        focusedFill: DefaultLightBaseTokenColors.secondary0,
        goodFill: DefaultLightBaseTokenColors.secondary0,
        badFill: DefaultLightBaseTokenColors.secondary0,
        defaultBorder: DefaultLightBaseTokenColors.secondary50,
        hoverBorder: DefaultLightBaseTokenColors.primary80,
        pressedBorder: DefaultLightBaseTokenColors.primary100,
        disabledBorder: DefaultLightBaseTokenColors.secondary30,
        focusedBorder: DefaultLightBaseTokenColors.secondary50,
        goodBorder: DefaultLightBaseTokenColors.systemGood70,
        badBorder: DefaultLightBaseTokenColors.systemBad70,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
      ),
      SelectorSelectedColors(
        defaultFill: DefaultLightBaseTokenColors.primary80,
        hoverFill: DefaultLightBaseTokenColors.primary90,
        pressedFill: DefaultLightBaseTokenColors.primary100,
        disabledFill: DefaultLightBaseTokenColors.secondary20,
        focusedFill: DefaultLightBaseTokenColors.primary80,
        goodFill: DefaultLightBaseTokenColors.systemGood70,
        badFill: DefaultLightBaseTokenColors.systemBad70,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultIcon: DefaultLightBaseTokenColors.secondary0,
        hoverIcon: DefaultLightBaseTokenColors.secondary0,
        pressedIcon: DefaultLightBaseTokenColors.secondary0,
        disabledIcon: DefaultLightBaseTokenColors.secondary40,
        focusedIcon: DefaultLightBaseTokenColors.secondary0,
        goodIcon: DefaultLightBaseTokenColors.secondary0,
        badIcon: DefaultLightBaseTokenColors.secondary0,
      ),
      SelectorMixedColors(
        defaultFill: DefaultLightBaseTokenColors.primary80,
        hoverFill: DefaultLightBaseTokenColors.primary90,
        pressedFill: DefaultLightBaseTokenColors.primary100,
        disabledFill: DefaultLightBaseTokenColors.secondary20,
        focusedFill: DefaultLightBaseTokenColors.primary80,
        goodFill: DefaultLightBaseTokenColors.systemGood70,
        badFill: DefaultLightBaseTokenColors.systemBad70,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultIcon: DefaultLightBaseTokenColors.secondary0,
        hoverIcon: DefaultLightBaseTokenColors.secondary0,
        pressedIcon: DefaultLightBaseTokenColors.secondary0,
        disabledIcon: DefaultLightBaseTokenColors.secondary40,
        focusedIcon: DefaultLightBaseTokenColors.secondary0,
        goodIcon: DefaultLightBaseTokenColors.secondary0,
        badIcon: DefaultLightBaseTokenColors.secondary0,
      ),
      TextFieldFilledColors(
        defaultFill: DefaultLightBaseTokenColors.secondary10,
        hoverFill: DefaultLightBaseTokenColors.secondary20,
        disabledFill: DefaultLightBaseTokenColors.secondary30,
        focusedFill: DefaultLightBaseTokenColors.secondary10,
        activatedFill: DefaultLightBaseTokenColors.secondary10,
        goodFill: DefaultLightBaseTokenColors.secondary10,
        badFill: DefaultLightBaseTokenColors.secondary10,
        warningFill: DefaultLightBaseTokenColors.secondary10,
        disabledBorder: DefaultLightBaseTokenColors.secondary30,
        activatedBorder: DefaultLightBaseTokenColors.primary80,
        goodBorder: DefaultLightBaseTokenColors.systemGood70,
        badBorder: DefaultLightBaseTokenColors.systemBad70,
        warningBorder: DefaultLightBaseTokenColors.systemWarning70,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.secondary100,
        hoverText: DefaultLightBaseTokenColors.secondary100,
        disabledText: DefaultLightBaseTokenColors.secondary40,
        focusedText: DefaultLightBaseTokenColors.secondary100,
        activatedText: DefaultLightBaseTokenColors.secondary100,
        goodText: DefaultLightBaseTokenColors.secondary100,
        badText: DefaultLightBaseTokenColors.secondary100,
        warningText: DefaultLightBaseTokenColors.secondary100,
        defaultIcon: DefaultLightBaseTokenColors.secondary50,
        hoverIcon: DefaultLightBaseTokenColors.secondary50,
        disabledIcon: DefaultLightBaseTokenColors.secondary50,
        focusedIcon: DefaultLightBaseTokenColors.secondary50,
        activatedIcon: DefaultLightBaseTokenColors.secondary50,
        goodIcon: DefaultLightBaseTokenColors.systemGood70,
        badIcon: DefaultLightBaseTokenColors.systemBad70,
        warningIcon: DefaultLightBaseTokenColors.systemWarning70,
        counterDefaultText: DefaultLightBaseTokenColors.secondary70,
        counterBadText: DefaultLightBaseTokenColors.systemBad70,
      ),
      TextFieldEmptyColors(
        defaultFill: DefaultLightBaseTokenColors.secondary10,
        hoverFill: DefaultLightBaseTokenColors.secondary20,
        disabledFill: DefaultLightBaseTokenColors.secondary30,
        focusedFill: DefaultLightBaseTokenColors.secondary10,
        activatedBorder: DefaultLightBaseTokenColors.primary80,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.secondary40,
        hoverText: DefaultLightBaseTokenColors.secondary40,
        disabledText: DefaultLightBaseTokenColors.secondary40,
        focusedText: DefaultLightBaseTokenColors.secondary40,
        activatedText: DefaultLightBaseTokenColors.secondary40,
        defaultIcon: DefaultLightBaseTokenColors.secondary40,
        hoverIcon: DefaultLightBaseTokenColors.secondary40,
        disabledIcon: DefaultLightBaseTokenColors.secondary40,
        focusedIcon: DefaultLightBaseTokenColors.secondary40,
        activatedIcon: DefaultLightBaseTokenColors.secondary40,
        counterDefaultText: DefaultLightBaseTokenColors.secondary40,
      ),
      ButtonGhostColors(
        hoverFill: DefaultLightBaseTokenColors.secondary20,
        pressedFill: DefaultLightBaseTokenColors.secondary30,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.secondary70,
        hoverText: DefaultLightBaseTokenColors.primary80,
        pressedText: DefaultLightBaseTokenColors.primary100,
        disabledText: DefaultLightBaseTokenColors.secondary40,
        focusedText: DefaultLightBaseTokenColors.secondary70,
        defaultIcon: DefaultLightBaseTokenColors.secondary70,
        hoverIcon: DefaultLightBaseTokenColors.primary80,
        pressedIcon: DefaultLightBaseTokenColors.primary100,
        disabledIcon: DefaultLightBaseTokenColors.secondary40,
        focusedIcon: DefaultLightBaseTokenColors.secondary70,
        loadingIcon: DefaultLightBaseTokenColors.secondary70,
      ),
      ButtonGhostColors(
        hoverFill: DefaultLightBaseTokenColors.secondary20,
        pressedFill: DefaultLightBaseTokenColors.secondary30,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.secondary70,
        hoverText: DefaultLightBaseTokenColors.primary80,
        pressedText: DefaultLightBaseTokenColors.primary100,
        disabledText: DefaultLightBaseTokenColors.secondary40,
        focusedText: DefaultLightBaseTokenColors.secondary70,
        defaultIcon: DefaultLightBaseTokenColors.secondary70,
        hoverIcon: DefaultLightBaseTokenColors.primary80,
        pressedIcon: DefaultLightBaseTokenColors.primary100,
        disabledIcon: DefaultLightBaseTokenColors.secondary40,
        focusedIcon: DefaultLightBaseTokenColors.secondary70,
        loadingIcon: DefaultLightBaseTokenColors.secondary70,
      ),
      PictographicColors(
        successFillBottom: DefaultLightBaseTokenColors.systemGood20,
        warningFillBottom: DefaultLightBaseTokenColors.systemWarning20,
        errorFillBottom: DefaultLightBaseTokenColors.systemBad20,
        infoFillBottom: DefaultLightBaseTokenColors.systemInfo20,
        neutralFillBottom: DefaultLightBaseTokenColors.systemNeutral20,
        purpleFillBottom: DefaultLightBaseTokenColors.accentPurple20,
        orangeFillBottom: DefaultLightBaseTokenColors.accentOrange20,
        greenFillBottom: DefaultLightBaseTokenColors.accentGreen30,
        blueFillBottom: DefaultLightBaseTokenColors.accentBlue20,
        redFillBottom: DefaultLightBaseTokenColors.accentRed20,
        grayFillBottom: DefaultLightBaseTokenColors.secondary20,
        brandFillBottom: DefaultLightBaseTokenColors.primary20,
        successFillMiddle: DefaultLightBaseTokenColors.systemGood40,
        warningFillMiddle: DefaultLightBaseTokenColors.systemWarning40,
        errorFillMiddle: DefaultLightBaseTokenColors.systemBad40,
        infoFillMiddle: DefaultLightBaseTokenColors.systemInfo40,
        neutralFillMiddle: DefaultLightBaseTokenColors.systemNeutral40,
        purpleFillMiddle: DefaultLightBaseTokenColors.accentPurple40,
        orangeFillMiddle: DefaultLightBaseTokenColors.accentOrange40,
        greenFillMiddle: DefaultLightBaseTokenColors.accentGreen40,
        blueFillMiddle: DefaultLightBaseTokenColors.accentBlue40,
        redFillMiddle: DefaultLightBaseTokenColors.accentRed40,
        grayFillMiddle: DefaultLightBaseTokenColors.secondary40,
        brandFillMiddle: DefaultLightBaseTokenColors.primary40,
        successFillTop: DefaultLightBaseTokenColors.systemGood70,
        warningFillTop: DefaultLightBaseTokenColors.systemWarning70,
        errorFillTop: DefaultLightBaseTokenColors.systemBad70,
        infoFillTop: DefaultLightBaseTokenColors.systemInfo70,
        neutralFillTop: DefaultLightBaseTokenColors.systemNeutral70,
        purpleFillTop: DefaultLightBaseTokenColors.accentPurple70,
        orangeFillTop: DefaultLightBaseTokenColors.accentOrange70,
        greenFillTop: DefaultLightBaseTokenColors.accentGreen70,
        blueFillTop: DefaultLightBaseTokenColors.accentBlue70,
        redFillTop: DefaultLightBaseTokenColors.accentRed70,
        grayFillTop: DefaultLightBaseTokenColors.secondary80,
        brandFillTop: DefaultLightBaseTokenColors.primary80,
        successText: DefaultLightBaseTokenColors.secondary0,
        warningText: DefaultLightBaseTokenColors.secondary0,
        errorText: DefaultLightBaseTokenColors.secondary0,
        infoText: DefaultLightBaseTokenColors.secondary0,
        neutralText: DefaultLightBaseTokenColors.secondary0,
        purpleText: DefaultLightBaseTokenColors.secondary0,
        orangeText: DefaultLightBaseTokenColors.secondary0,
        greenText: DefaultLightBaseTokenColors.secondary0,
        blueText: DefaultLightBaseTokenColors.secondary0,
        redText: DefaultLightBaseTokenColors.secondary0,
        grayText: DefaultLightBaseTokenColors.secondary0,
        brandText: DefaultLightBaseTokenColors.secondary0,
        successIcon: DefaultLightBaseTokenColors.systemGood70,
        warningIcon: DefaultLightBaseTokenColors.systemWarning70,
        errorIcon: DefaultLightBaseTokenColors.systemBad70,
        infoIcon: DefaultLightBaseTokenColors.systemInfo70,
        neutralIcon: DefaultLightBaseTokenColors.systemNeutral70,
        purpleIcon: DefaultLightBaseTokenColors.accentPurple70,
        orangeIcon: DefaultLightBaseTokenColors.accentOrange70,
        greenIcon: DefaultLightBaseTokenColors.accentGreen70,
        blueIcon: DefaultLightBaseTokenColors.accentBlue70,
        redIcon: DefaultLightBaseTokenColors.accentRed70,
        grayIcon: DefaultLightBaseTokenColors.secondary80,
        brandIcon: DefaultLightBaseTokenColors.primary80,
      ),
      SurfaceColors(
        white: DefaultLightBaseTokenColors.secondary0,
        gray: DefaultLightBaseTokenColors.secondary10,
        darkGray: DefaultLightBaseTokenColors.secondary20,
        error: DefaultLightBaseTokenColors.accentRed20,
        gradientBlue: DefaultLightBaseTokenColors.gradientBlueWhite,
        gradientOrange: DefaultLightBaseTokenColors.gradientOrangeWhite,
        gradientGreen: DefaultLightBaseTokenColors.gradientGreenWhite,
        gradientWhiteUp: DefaultLightBaseTokenColors.gradientWhiteUp,
        gradientWhiteDown: DefaultLightBaseTokenColors.gradientWhiteDown,
      ),
      ProgressBadColors(
        fill: DefaultLightBaseTokenColors.systemBad70,
        text: DefaultLightBaseTokenColors.secondary0,
        icon: DefaultLightBaseTokenColors.secondary0,
      ),
      ProgressDefaultColors(
        fill: DefaultLightBaseTokenColors.primary80,
        text: DefaultLightBaseTokenColors.secondary100,
        icon: DefaultLightBaseTokenColors.primary80,
      ),
      ProgressGoodColors(
        fill: DefaultLightBaseTokenColors.systemInfo70,
        text: DefaultLightBaseTokenColors.secondary0,
        icon: DefaultLightBaseTokenColors.secondary0,
      ),
      ProgressInfoColors(
        fill: DefaultLightBaseTokenColors.systemInfo70,
        text: DefaultLightBaseTokenColors.secondary0,
        icon: DefaultLightBaseTokenColors.secondary0,
      ),
      ProgressInvertColors(
        fill: DefaultLightBaseTokenColors.secondary10,
        text: DefaultLightBaseTokenColors.secondary0,
        icon: DefaultLightBaseTokenColors.secondary0,
      ),
      ProgressNeutralColors(
        fill: DefaultLightBaseTokenColors.systemNeutral20,
        text: DefaultLightBaseTokenColors.secondary70,
        icon: DefaultLightBaseTokenColors.secondary70,
      ),
      ProgressWarningColors(
        fill: DefaultLightBaseTokenColors.systemWarning70,
        text: DefaultLightBaseTokenColors.secondary0,
        icon: DefaultLightBaseTokenColors.secondary0,
      ),
      BackgroundColors(
        white: DefaultLightBaseTokenColors.secondary0,
        gray: DefaultLightBaseTokenColors.secondary10,
      ),
      ButtonSecondaryColors(
        defaultFill: DefaultLightBaseTokenColors.primary20,
        hoverFill: DefaultLightBaseTokenColors.primary30,
        pressedFill: DefaultLightBaseTokenColors.primary40,
        disabledFill: DefaultLightBaseTokenColors.primary20,
        focusedFill: DefaultLightBaseTokenColors.primary20,
        loadingFill: DefaultLightBaseTokenColors.primary20,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.primary80,
        hoverText: DefaultLightBaseTokenColors.primary80,
        pressedText: DefaultLightBaseTokenColors.primary80,
        disabledText: DefaultLightBaseTokenColors.primary50,
        focusedText: DefaultLightBaseTokenColors.primary80,
        defaultIcon: DefaultLightBaseTokenColors.primary80,
        hoverIcon: DefaultLightBaseTokenColors.primary80,
        pressedIcon: DefaultLightBaseTokenColors.primary80,
        disabledIcon: DefaultLightBaseTokenColors.primary50,
        focusedIcon: DefaultLightBaseTokenColors.primary80,
        loadingIcon: DefaultLightBaseTokenColors.primary80,
      ),
      ButtonTertiaryColors(
        defaultFill: DefaultLightBaseTokenColors.secondary10,
        hoverFill: DefaultLightBaseTokenColors.secondary20,
        pressedFill: DefaultLightBaseTokenColors.secondary20,
        disabledFill: DefaultLightBaseTokenColors.secondary20,
        focusedFill: DefaultLightBaseTokenColors.secondary20,
        loadingFill: DefaultLightBaseTokenColors.secondary20,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.secondary70,
        hoverText: DefaultLightBaseTokenColors.secondary80,
        pressedText: DefaultLightBaseTokenColors.secondary100,
        disabledText: DefaultLightBaseTokenColors.secondary40,
        focusedText: DefaultLightBaseTokenColors.secondary70,
        defaultIcon: DefaultLightBaseTokenColors.secondary70,
        hoverIcon: DefaultLightBaseTokenColors.secondary80,
        pressedIcon: DefaultLightBaseTokenColors.secondary100,
        disabledIcon: DefaultLightBaseTokenColors.secondary40,
        focusedIcon: DefaultLightBaseTokenColors.secondary70,
        loadingIcon: DefaultLightBaseTokenColors.secondary70,
      ),
      AttachmentDefaultColors(
        text: DefaultLightBaseTokenColors.secondary100,
      ),
      AttachmentLoadingColors(
        uploadingFill: DefaultLightBaseTokenColors.secondary0,
        defaultFill: DefaultLightBaseTokenColors.secondary0,
        hoverFill: DefaultLightBaseTokenColors.secondary0,
        focusedFill: DefaultLightBaseTokenColors.secondary0,
        errorFill: DefaultLightBaseTokenColors.systemBad70,
        downloadingFill: DefaultLightBaseTokenColors.secondary0,
        uploadingBorder: DefaultLightBaseTokenColors.secondary30,
        defaultBorder: DefaultLightBaseTokenColors.secondary30,
        hoverBorder: DefaultLightBaseTokenColors.primary50,
        focusedBorder: DefaultLightBaseTokenColors.secondary30,
        errorBorder: DefaultLightBaseTokenColors.systemBad40,
        downloadingBorder: DefaultLightBaseTokenColors.secondary30,
        uploadingText: DefaultLightBaseTokenColors.primary80,
        defaultText: DefaultLightBaseTokenColors.secondary60,
        hoverText: DefaultLightBaseTokenColors.secondary60,
        focusedText: DefaultLightBaseTokenColors.secondary60,
        errorText: DefaultLightBaseTokenColors.systemBad70,
        downloadingText: DefaultLightBaseTokenColors.primary80,
      ),
      DividerPrimaryColors(
        primary80: DefaultLightBaseTokenColors.primary80,
        primary60: DefaultLightBaseTokenColors.primary60,
        primary40: DefaultLightBaseTokenColors.primary40,
      ),
      DividerSecondaryColors(
        secondary70: DefaultLightBaseTokenColors.secondary70,
        secondary50: DefaultLightBaseTokenColors.secondary50,
        secondary30: DefaultLightBaseTokenColors.secondary30,
      ),
      DividerSystemColors(
        good: DefaultLightBaseTokenColors.systemGood70,
        bad: DefaultLightBaseTokenColors.systemBad70,
        warning: DefaultLightBaseTokenColors.systemWarning70,
        info: DefaultLightBaseTokenColors.systemInfo70,
      ),
      ReactionsDeselectedColors(
        defaultFill: DefaultLightBaseTokenColors.secondary10,
        hoverFill: DefaultLightBaseTokenColors.secondary20,
        defaultBorder: DefaultLightBaseTokenColors.secondary20,
        hoverBorder: DefaultLightBaseTokenColors.secondary30,
        defaultText: DefaultLightBaseTokenColors.secondary70,
        hoverText: DefaultLightBaseTokenColors.secondary70,
        defaultIcon: DefaultLightBaseTokenColors.secondary60,
        hoverIcon: DefaultLightBaseTokenColors.secondary60,
      ),
      ReactionsSelectedColors(
        defaultFill: DefaultLightBaseTokenColors.primary10,
        hoverFill: DefaultLightBaseTokenColors.primary20,
        defaultBorder: DefaultLightBaseTokenColors.primary80,
        hoverBorder: DefaultLightBaseTokenColors.primary80,
        defaultText: DefaultLightBaseTokenColors.primary80,
        hoverText: DefaultLightBaseTokenColors.primary80,
      ),
      BadgeWarningColors(
        filledFill: DefaultLightBaseTokenColors.accentOrange70,
        strokedFill: DefaultLightBaseTokenColors.secondary0,
        strokedBorder: DefaultLightBaseTokenColors.systemWarning40,
        filledText: DefaultLightBaseTokenColors.secondary0,
        strokedText: DefaultLightBaseTokenColors.systemWarning70,
        filledIcon: DefaultLightBaseTokenColors.secondary0,
        strokedIcon: DefaultLightBaseTokenColors.systemWarning70,
      ),
      AvatarIndicatorColors(
        availableFill: DefaultLightBaseTokenColors.systemGood70,
        awayFill: DefaultLightBaseTokenColors.systemBad70,
        offFill: DefaultLightBaseTokenColors.systemNeutral70,
        availableBorder: DefaultLightBaseTokenColors.secondary0,
        awayBorder: DefaultLightBaseTokenColors.secondary0,
        offBorder: DefaultLightBaseTokenColors.secondary0,
      ),
      BadgeNeutralColors(
        filledFill: DefaultLightBaseTokenColors.secondary20,
        strokedFill: DefaultLightBaseTokenColors.secondary0,
        strokedBorder: DefaultLightBaseTokenColors.systemNeutral40,
        filledText: DefaultLightBaseTokenColors.systemNeutral70,
        strokedText: DefaultLightBaseTokenColors.systemNeutral70,
        filledIcon: DefaultLightBaseTokenColors.systemNeutral70,
        strokedIcon: DefaultLightBaseTokenColors.systemNeutral70,
      ),
      CollapseDefaultColors(
        defaultText: DefaultLightBaseTokenColors.secondary80,
      ),
      CollapseDeselectedColors(
        defaultFill: DefaultLightBaseTokenColors.secondary0,
        hoverFill: DefaultLightBaseTokenColors.secondary0,
        pressedFill: DefaultLightBaseTokenColors.secondary0,
        focusedFill: DefaultLightBaseTokenColors.secondary0,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.secondary70,
        hoverText: DefaultLightBaseTokenColors.secondary80,
        pressedText: DefaultLightBaseTokenColors.secondary100,
        focusedText: DefaultLightBaseTokenColors.secondary80,
        defaultIcon: DefaultLightBaseTokenColors.secondary70,
        hoverIcon: DefaultLightBaseTokenColors.secondary80,
        pressedIcon: DefaultLightBaseTokenColors.secondary80,
        focusedIcon: DefaultLightBaseTokenColors.secondary80,
      ),
      CollapseSelectedColors(
        defaultFill: DefaultLightBaseTokenColors.secondary0,
        hoverFill: DefaultLightBaseTokenColors.secondary0,
        pressedFill: DefaultLightBaseTokenColors.secondary0,
        focusedFill: DefaultLightBaseTokenColors.secondary0,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.secondary70,
        hoverText: DefaultLightBaseTokenColors.secondary80,
        pressedText: DefaultLightBaseTokenColors.secondary100,
        focusedText: DefaultLightBaseTokenColors.secondary80,
        defaultIcon: DefaultLightBaseTokenColors.secondary70,
        hoverIcon: DefaultLightBaseTokenColors.secondary80,
        pressedIcon: DefaultLightBaseTokenColors.secondary80,
        focusedIcon: DefaultLightBaseTokenColors.secondary80,
      ),
      DropdownListDefaultColors(
        defaultFill: DefaultLightBaseTokenColors.secondary0,
        defaultText: DefaultLightBaseTokenColors.secondary60,
        defaultIcon: DefaultLightBaseTokenColors.secondary60,
      ),
      DropdownListDeselectedColors(
        defaultFill: DefaultLightBaseTokenColors.secondary0,
        hoverFill: DefaultLightBaseTokenColors.primary20,
        pressedFill: DefaultLightBaseTokenColors.primary30,
        disabledFill: DefaultLightBaseTokenColors.secondary0,
        focusedFill: DefaultLightBaseTokenColors.secondary0,
        loadingFill: DefaultLightBaseTokenColors.secondary0,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.secondary100,
        hoverText: DefaultLightBaseTokenColors.primary80,
        pressedText: DefaultLightBaseTokenColors.primary80,
        disabledText: DefaultLightBaseTokenColors.secondary40,
        focusedText: DefaultLightBaseTokenColors.primary80,
        defaultIcon: DefaultLightBaseTokenColors.secondary70,
        hoverIcon: DefaultLightBaseTokenColors.primary80,
        pressedIcon: DefaultLightBaseTokenColors.primary80,
        disabledIcon: DefaultLightBaseTokenColors.secondary40,
        focusedIcon: DefaultLightBaseTokenColors.primary80,
        loadingIcon: DefaultLightBaseTokenColors.secondary60,
      ),
      DropdownListSelectedColors(
        defaultFill: DefaultLightBaseTokenColors.secondary0,
        hoverFill: DefaultLightBaseTokenColors.primary20,
        focusedFill: DefaultLightBaseTokenColors.secondary0,
        focusedBorder: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.primary80,
        hoverText: DefaultLightBaseTokenColors.primary80,
        focusedText: DefaultLightBaseTokenColors.primary80,
        defaultIcon: DefaultLightBaseTokenColors.primary80,
        hoverIcon: DefaultLightBaseTokenColors.primary80,
        focusedIcon: DefaultLightBaseTokenColors.primary80,
      ),
      WorkspaceCardDeselectedColors(
        defaultFill: DefaultLightBaseTokenColors.secondary0,
        hoverFill: DefaultLightBaseTokenColors.secondary10,
        pressedFill: DefaultLightBaseTokenColors.primary30,
        disabledFill: DefaultLightBaseTokenColors.secondary0,
        focusedFill: DefaultLightBaseTokenColors.secondary0,
        defaultBorder: DefaultLightBaseTokenColors.secondary30,
        hoverBorder: DefaultLightBaseTokenColors.primary50,
        pressedBorder: DefaultLightBaseTokenColors.primary60,
        disabledBorder: DefaultLightBaseTokenColors.secondary30,
        focusedBorder: DefaultLightBaseTokenColors.secondary30,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
      ),
      WorkspaceCardSelectedColors(
        defaultFill: DefaultLightBaseTokenColors.secondary0,
        hoverFill: DefaultLightBaseTokenColors.secondary0,
        focusedFill: DefaultLightBaseTokenColors.secondary0,
        defaultBorder: DefaultLightBaseTokenColors.primary70,
        hoverBorder: DefaultLightBaseTokenColors.primary80,
        focusedBorder: DefaultLightBaseTokenColors.primary70,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
      ),
      ButtonInvertGhostColors(
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.secondary0,
        hoverText: DefaultLightBaseTokenColors.secondary30,
        pressedText: DefaultLightBaseTokenColors.secondary40,
        disabledText: DefaultLightBaseTokenColors.secondary60,
        focusedText: DefaultLightBaseTokenColors.secondary0,
        defaultIcon: DefaultLightBaseTokenColors.secondary0,
        hoverIcon: DefaultLightBaseTokenColors.secondary30,
        pressedIcon: DefaultLightBaseTokenColors.secondary40,
        disabledIcon: DefaultLightBaseTokenColors.secondary60,
        focusedIcon: DefaultLightBaseTokenColors.secondary0,
        loadingIcon: DefaultLightBaseTokenColors.secondary0,
      ),
      TagPrimaryDeselectedColors(
        defaultFill: DefaultLightBaseTokenColors.secondary0,
        hoverFill: DefaultLightBaseTokenColors.secondary0,
        pressedFill: DefaultLightBaseTokenColors.secondary0,
        disabledFill: DefaultLightBaseTokenColors.secondary0,
        focusedFill: DefaultLightBaseTokenColors.secondary0,
        defaultBorder: DefaultLightBaseTokenColors.secondary30,
        hoverBorder: DefaultLightBaseTokenColors.secondary40,
        pressedBorder: DefaultLightBaseTokenColors.secondary50,
        disabledBorder: DefaultLightBaseTokenColors.secondary20,
        focusedBorder: DefaultLightBaseTokenColors.secondary30,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.secondary70,
        hoverText: DefaultLightBaseTokenColors.secondary80,
        pressedText: DefaultLightBaseTokenColors.secondary100,
        disabledText: DefaultLightBaseTokenColors.secondary40,
        focusedText: DefaultLightBaseTokenColors.secondary70,
        defaultIcon: DefaultLightBaseTokenColors.secondary70,
        hoverIcon: DefaultLightBaseTokenColors.secondary80,
        pressedIcon: DefaultLightBaseTokenColors.secondary100,
        disabledIcon: DefaultLightBaseTokenColors.secondary40,
        focusedIcon: DefaultLightBaseTokenColors.secondary70,
      ),
      TagPrimarySelectedColors(
        defaultFill: DefaultLightBaseTokenColors.primary80,
        hoverFill: DefaultLightBaseTokenColors.primary90,
        pressedFill: DefaultLightBaseTokenColors.primary100,
        disabledFill: DefaultLightBaseTokenColors.secondary30,
        focusedFill: DefaultLightBaseTokenColors.primary80,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.secondary0,
        hoverText: DefaultLightBaseTokenColors.secondary0,
        pressedText: DefaultLightBaseTokenColors.secondary0,
        disabledText: DefaultLightBaseTokenColors.secondary60,
        focusedText: DefaultLightBaseTokenColors.secondary0,
        defaultIcon: DefaultLightBaseTokenColors.secondary0,
        hoverIcon: DefaultLightBaseTokenColors.secondary0,
        pressedIcon: DefaultLightBaseTokenColors.secondary0,
        disabledIcon: DefaultLightBaseTokenColors.secondary60,
        focusedIcon: DefaultLightBaseTokenColors.secondary0,
      ),
      TagSecondaryDeselectedColors(
        defaultFill: DefaultLightBaseTokenColors.secondary0,
        hoverFill: DefaultLightBaseTokenColors.secondary0,
        pressedFill: DefaultLightBaseTokenColors.secondary0,
        disabledFill: DefaultLightBaseTokenColors.secondary0,
        focusedFill: DefaultLightBaseTokenColors.secondary0,
        defaultBorder: DefaultLightBaseTokenColors.secondary30,
        hoverBorder: DefaultLightBaseTokenColors.secondary40,
        pressedBorder: DefaultLightBaseTokenColors.secondary50,
        disabledBorder: DefaultLightBaseTokenColors.secondary20,
        focusedBorder: DefaultLightBaseTokenColors.secondary30,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.secondary70,
        hoverText: DefaultLightBaseTokenColors.secondary80,
        pressedText: DefaultLightBaseTokenColors.secondary100,
        disabledText: DefaultLightBaseTokenColors.secondary40,
        focusedText: DefaultLightBaseTokenColors.secondary70,
        defaultIcon: DefaultLightBaseTokenColors.secondary70,
        hoverIcon: DefaultLightBaseTokenColors.secondary80,
        pressedIcon: DefaultLightBaseTokenColors.secondary100,
        disabledIcon: DefaultLightBaseTokenColors.secondary40,
        focusedIcon: DefaultLightBaseTokenColors.secondary70,
      ),
      TagSecondarySelectedColors(
        defaultFill: DefaultLightBaseTokenColors.primary20,
        hoverFill: DefaultLightBaseTokenColors.primary30,
        pressedFill: DefaultLightBaseTokenColors.primary40,
        disabledFill: DefaultLightBaseTokenColors.secondary10,
        focusedFill: DefaultLightBaseTokenColors.primary20,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.primary80,
        hoverText: DefaultLightBaseTokenColors.primary80,
        pressedText: DefaultLightBaseTokenColors.primary80,
        disabledText: DefaultLightBaseTokenColors.secondary40,
        focusedText: DefaultLightBaseTokenColors.primary80,
        defaultIcon: DefaultLightBaseTokenColors.primary80,
        hoverIcon: DefaultLightBaseTokenColors.primary80,
        pressedIcon: DefaultLightBaseTokenColors.primary80,
        disabledIcon: DefaultLightBaseTokenColors.secondary40,
        focusedIcon: DefaultLightBaseTokenColors.primary80,
      ),
      TagMixedDeselectedColors(
        defaultFill: DefaultLightBaseTokenColors.secondary0,
        hoverFill: DefaultLightBaseTokenColors.secondary0,
        pressedFill: DefaultLightBaseTokenColors.secondary0,
        disabledFill: DefaultLightBaseTokenColors.secondary0,
        focusedFill: DefaultLightBaseTokenColors.secondary0,
        defaultBorder: DefaultLightBaseTokenColors.secondary30,
        hoverBorder: DefaultLightBaseTokenColors.secondary40,
        pressedBorder: DefaultLightBaseTokenColors.secondary50,
        disabledBorder: DefaultLightBaseTokenColors.secondary20,
        focusedBorder: DefaultLightBaseTokenColors.secondary30,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.secondary70,
        hoverText: DefaultLightBaseTokenColors.secondary80,
        pressedText: DefaultLightBaseTokenColors.secondary100,
        disabledText: DefaultLightBaseTokenColors.secondary40,
        focusedText: DefaultLightBaseTokenColors.secondary70,
        defaultIcon: DefaultLightBaseTokenColors.secondary70,
        hoverIcon: DefaultLightBaseTokenColors.secondary80,
        pressedIcon: DefaultLightBaseTokenColors.secondary100,
        disabledIcon: DefaultLightBaseTokenColors.secondary40,
        focusedIcon: DefaultLightBaseTokenColors.secondary70,
      ),
      TagMixedSelectedColors(
        defaultFill: DefaultLightBaseTokenColors.secondary10,
        hoverFill: DefaultLightBaseTokenColors.secondary20,
        pressedFill: DefaultLightBaseTokenColors.secondary30,
        disabledFill: DefaultLightBaseTokenColors.secondary10,
        focusedFill: DefaultLightBaseTokenColors.secondary10,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.secondary70,
        hoverText: DefaultLightBaseTokenColors.secondary80,
        pressedText: DefaultLightBaseTokenColors.secondary100,
        disabledText: DefaultLightBaseTokenColors.secondary40,
        focusedText: DefaultLightBaseTokenColors.secondary70,
        defaultIcon: DefaultLightBaseTokenColors.secondary70,
        hoverIcon: DefaultLightBaseTokenColors.secondary80,
        pressedIcon: DefaultLightBaseTokenColors.secondary100,
        disabledIcon: DefaultLightBaseTokenColors.secondary40,
        focusedIcon: DefaultLightBaseTokenColors.secondary70,
      ),
      NavigationPrimaryDeselectedColors(
        defaultFill: DefaultLightBaseTokenColors.secondary0,
        hoverFill: DefaultLightBaseTokenColors.primary20,
        pressedFill: DefaultLightBaseTokenColors.primary30,
        disabledFill: DefaultLightBaseTokenColors.secondary0,
        focusedFill: DefaultLightBaseTokenColors.secondary0,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.secondary100,
        hoverText: DefaultLightBaseTokenColors.primary80,
        pressedText: DefaultLightBaseTokenColors.primary80,
        disabledText: DefaultLightBaseTokenColors.secondary40,
        focusedText: DefaultLightBaseTokenColors.secondary100,
        defaultIcon: DefaultLightBaseTokenColors.secondary70,
        hoverIcon: DefaultLightBaseTokenColors.primary80,
        pressedIcon: DefaultLightBaseTokenColors.primary80,
        disabledIcon: DefaultLightBaseTokenColors.secondary40,
        focusedIcon: DefaultLightBaseTokenColors.secondary70,
      ),
      NavigationPrimarySelectedColors(
        defaultFill: DefaultLightBaseTokenColors.primary80,
        hoverFill: DefaultLightBaseTokenColors.primary90,
        pressedFill: DefaultLightBaseTokenColors.primary100,
        disabledFill: DefaultLightBaseTokenColors.primary40,
        focusedFill: DefaultLightBaseTokenColors.primary80,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.secondary0,
        hoverText: DefaultLightBaseTokenColors.secondary0,
        pressedText: DefaultLightBaseTokenColors.secondary0,
        disabledText: DefaultLightBaseTokenColors.secondary0,
        focusedText: DefaultLightBaseTokenColors.secondary0,
        defaultIcon: DefaultLightBaseTokenColors.secondary0,
        hoverIcon: DefaultLightBaseTokenColors.secondary0,
        pressedIcon: DefaultLightBaseTokenColors.secondary0,
        disabledIcon: DefaultLightBaseTokenColors.secondary0,
        focusedIcon: DefaultLightBaseTokenColors.secondary0,
      ),
      NavigationSecondaryDeselectedColors(
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.secondary80,
        hoverText: DefaultLightBaseTokenColors.primary80,
        pressedText: DefaultLightBaseTokenColors.primary90,
        disabledText: DefaultLightBaseTokenColors.secondary40,
        focusedText: DefaultLightBaseTokenColors.secondary80,
        defaultIcon: DefaultLightBaseTokenColors.secondary50,
        hoverIcon: DefaultLightBaseTokenColors.primary80,
        pressedIcon: DefaultLightBaseTokenColors.primary90,
        disabledIcon: DefaultLightBaseTokenColors.secondary40,
        focusedIcon: DefaultLightBaseTokenColors.secondary50,
      ),
      NavigationSecondarySelectedColors(
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.primary80,
        hoverText: DefaultLightBaseTokenColors.primary90,
        pressedText: DefaultLightBaseTokenColors.primary100,
        disabledText: DefaultLightBaseTokenColors.primary40,
        focusedText: DefaultLightBaseTokenColors.primary80,
        defaultIcon: DefaultLightBaseTokenColors.primary80,
        hoverIcon: DefaultLightBaseTokenColors.primary90,
        pressedIcon: DefaultLightBaseTokenColors.primary100,
        disabledIcon: DefaultLightBaseTokenColors.primary40,
        focusedIcon: DefaultLightBaseTokenColors.primary80,
      ),
      NavigationInvertDeselectedColors(
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.secondary0,
        defaultIcon: DefaultLightBaseTokenColors.secondary60,
        hoverIcon: DefaultLightBaseTokenColors.secondary70,
        pressedIcon: DefaultLightBaseTokenColors.secondary0,
        focusedIcon: DefaultLightBaseTokenColors.secondary60,
      ),
      ChoiceGroupDeselectedColors(
        defaultFill: DefaultLightBaseTokenColors.secondary0,
        hoverFill: DefaultLightBaseTokenColors.secondary0,
        pressedFill: DefaultLightBaseTokenColors.secondary0,
        disabledFill: DefaultLightBaseTokenColors.secondary0,
        focusedFill: DefaultLightBaseTokenColors.secondary0,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.secondary100,
        hoverText: DefaultLightBaseTokenColors.primary80,
        pressedText: DefaultLightBaseTokenColors.primary90,
        disabledText: DefaultLightBaseTokenColors.secondary40,
        focusedText: DefaultLightBaseTokenColors.secondary100,
        defaultIcon: DefaultLightBaseTokenColors.secondary70,
        hoverIcon: DefaultLightBaseTokenColors.primary80,
        pressedIcon: DefaultLightBaseTokenColors.primary90,
        disabledIcon: DefaultLightBaseTokenColors.secondary40,
        focusedIcon: DefaultLightBaseTokenColors.secondary70,
      ),
      ChoiceGroupPrimaryColors(
        defaultFill: DefaultLightBaseTokenColors.primary80,
        hoverFill: DefaultLightBaseTokenColors.primary90,
        pressedFill: DefaultLightBaseTokenColors.primary100,
        disabledFill: DefaultLightBaseTokenColors.primary40,
        focusedFill: DefaultLightBaseTokenColors.primary80,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.secondary0,
        hoverText: DefaultLightBaseTokenColors.secondary0,
        pressedText: DefaultLightBaseTokenColors.secondary0,
        disabledText: DefaultLightBaseTokenColors.secondary0,
        focusedText: DefaultLightBaseTokenColors.secondary0,
        defaultIcon: DefaultLightBaseTokenColors.secondary0,
        hoverIcon: DefaultLightBaseTokenColors.secondary0,
        pressedIcon: DefaultLightBaseTokenColors.secondary0,
        disabledIcon: DefaultLightBaseTokenColors.secondary0,
        focusedIcon: DefaultLightBaseTokenColors.secondary0,
      ),
      ChoiceGroupSecondaryColors(
        defaultFill: DefaultLightBaseTokenColors.primary20,
        hoverFill: DefaultLightBaseTokenColors.primary30,
        pressedFill: DefaultLightBaseTokenColors.primary40,
        disabledFill: DefaultLightBaseTokenColors.primary20,
        focusedFill: DefaultLightBaseTokenColors.primary20,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.primary80,
        hoverText: DefaultLightBaseTokenColors.primary80,
        pressedText: DefaultLightBaseTokenColors.primary80,
        disabledText: DefaultLightBaseTokenColors.primary50,
        focusedText: DefaultLightBaseTokenColors.primary80,
        defaultIcon: DefaultLightBaseTokenColors.primary80,
        hoverIcon: DefaultLightBaseTokenColors.primary80,
        pressedIcon: DefaultLightBaseTokenColors.primary80,
        disabledIcon: DefaultLightBaseTokenColors.primary50,
        focusedIcon: DefaultLightBaseTokenColors.primary80,
      ),
      ChoiceGroupTertiaryColors(
        defaultFill: DefaultLightBaseTokenColors.secondary0,
        hoverFill: DefaultLightBaseTokenColors.secondary0,
        pressedFill: DefaultLightBaseTokenColors.secondary0,
        disabledFill: DefaultLightBaseTokenColors.secondary0,
        focusedFill: DefaultLightBaseTokenColors.secondary0,
        defaultBorder: DefaultLightBaseTokenColors.primary80,
        hoverBorder: DefaultLightBaseTokenColors.primary90,
        pressedBorder: DefaultLightBaseTokenColors.primary100,
        disabledBorder: DefaultLightBaseTokenColors.secondary40,
        focusedBorder: DefaultLightBaseTokenColors.primary80,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.primary80,
        hoverText: DefaultLightBaseTokenColors.primary90,
        pressedText: DefaultLightBaseTokenColors.primary100,
        disabledText: DefaultLightBaseTokenColors.secondary40,
        focusedText: DefaultLightBaseTokenColors.primary80,
        defaultIcon: DefaultLightBaseTokenColors.primary80,
        hoverIcon: DefaultLightBaseTokenColors.primary90,
        pressedIcon: DefaultLightBaseTokenColors.primary100,
        disabledIcon: DefaultLightBaseTokenColors.secondary100,
        focusedIcon: DefaultLightBaseTokenColors.primary80,
      ),
      AvatarColors(
        dodgerFill: DefaultLightBaseTokenColors.accentBlue70,
        purpleFill: DefaultLightBaseTokenColors.accentPurple70,
        redFill: DefaultLightBaseTokenColors.accentRed70,
        orangeFill: DefaultLightBaseTokenColors.accentOrange70,
        greenFill: DefaultLightBaseTokenColors.accentGreen70,
        moreFill: DefaultLightBaseTokenColors.secondary30,
        iconFill: DefaultLightBaseTokenColors.secondary10,
        dodgerBorder: DefaultLightBaseTokenColors.secondary0,
        purpleBorder: DefaultLightBaseTokenColors.secondary0,
        redBorder: DefaultLightBaseTokenColors.secondary0,
        orangeBorder: DefaultLightBaseTokenColors.secondary0,
        greenBorder: DefaultLightBaseTokenColors.secondary0,
        moreBorder: DefaultLightBaseTokenColors.secondary0,
        iconBorder: DefaultLightBaseTokenColors.secondary0,
        imageBorder: DefaultLightBaseTokenColors.secondary0,
        dodgerText: DefaultLightBaseTokenColors.secondary0,
        purpleText: DefaultLightBaseTokenColors.secondary0,
        redText: DefaultLightBaseTokenColors.secondary0,
        orangeText: DefaultLightBaseTokenColors.secondary0,
        greenText: DefaultLightBaseTokenColors.secondary0,
        moreText: DefaultLightBaseTokenColors.secondary70,
        iconIcon: DefaultLightBaseTokenColors.secondary30,
      ),
      ButtonWarningGhostColors(
        hoverFill: DefaultLightBaseTokenColors.systemWarning20,
        pressedFill: DefaultLightBaseTokenColors.systemWarning40,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultIcon: DefaultLightBaseTokenColors.systemWarning70,
        hoverIcon: DefaultLightBaseTokenColors.systemWarning70,
        pressedIcon: DefaultLightBaseTokenColors.systemWarning70,
        disabledIcon: DefaultLightBaseTokenColors.systemWarning20,
        focusedIcon: DefaultLightBaseTokenColors.systemWarning70,
        loadingIcon: DefaultLightBaseTokenColors.secondary70,
      ),
      ButtonPrimaryDangerColors(
        defaultFill: DefaultLightBaseTokenColors.accentRed70,
        hoverFill: DefaultLightBaseTokenColors.accentRed80,
        pressedFill: DefaultLightBaseTokenColors.accentRed90,
        disabledFill: DefaultLightBaseTokenColors.accentRed50,
        focusedFill: DefaultLightBaseTokenColors.accentRed70,
        loadingFill: DefaultLightBaseTokenColors.accentRed70,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.secondary0,
        hoverText: DefaultLightBaseTokenColors.secondary0,
        pressedText: DefaultLightBaseTokenColors.secondary0,
        disabledText: DefaultLightBaseTokenColors.secondary0,
        focusedText: DefaultLightBaseTokenColors.secondary0,
        defaultIcon: DefaultLightBaseTokenColors.secondary0,
        hoverIcon: DefaultLightBaseTokenColors.secondary0,
        pressedIcon: DefaultLightBaseTokenColors.secondary0,
        disabledIcon: DefaultLightBaseTokenColors.secondary0,
        focusedIcon: DefaultLightBaseTokenColors.secondary0,
        loadingIcon: DefaultLightBaseTokenColors.secondary0,
      ),
      ButtonSecondaryDangerColors(
        defaultFill: DefaultLightBaseTokenColors.accentRed20,
        hoverFill: DefaultLightBaseTokenColors.accentRed30,
        pressedFill: DefaultLightBaseTokenColors.accentRed40,
        disabledFill: DefaultLightBaseTokenColors.accentRed20,
        focusedFill: DefaultLightBaseTokenColors.accentRed20,
        loadingFill: DefaultLightBaseTokenColors.accentRed20,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.accentRed70,
        hoverText: DefaultLightBaseTokenColors.accentRed70,
        pressedText: DefaultLightBaseTokenColors.accentRed70,
        disabledText: DefaultLightBaseTokenColors.accentRed50,
        focusedText: DefaultLightBaseTokenColors.accentRed70,
        defaultIcon: DefaultLightBaseTokenColors.accentRed70,
        hoverIcon: DefaultLightBaseTokenColors.accentRed70,
        pressedIcon: DefaultLightBaseTokenColors.accentRed70,
        disabledIcon: DefaultLightBaseTokenColors.accentRed50,
        focusedIcon: DefaultLightBaseTokenColors.accentRed70,
        loadingIcon: DefaultLightBaseTokenColors.accentRed70,
      ),
      ButtonGhostDangerColors(
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.accentRed70,
        hoverText: DefaultLightBaseTokenColors.accentRed80,
        pressedText: DefaultLightBaseTokenColors.accentRed90,
        disabledText: DefaultLightBaseTokenColors.accentRed50,
        focusedText: DefaultLightBaseTokenColors.accentRed70,
        defaultIcon: DefaultLightBaseTokenColors.accentRed70,
        hoverIcon: DefaultLightBaseTokenColors.accentRed80,
        pressedIcon: DefaultLightBaseTokenColors.accentRed90,
        disabledIcon: DefaultLightBaseTokenColors.accentRed50,
        focusedIcon: DefaultLightBaseTokenColors.accentRed70,
        loadingIcon: DefaultLightBaseTokenColors.accentRed70,
      ),
      BadgeBadColors(
        filledFill: DefaultLightBaseTokenColors.systemBad70,
        strokedFill: DefaultLightBaseTokenColors.secondary0,
        strokedBorder: DefaultLightBaseTokenColors.systemBad40,
        filledText: DefaultLightBaseTokenColors.secondary0,
        strokedText: DefaultLightBaseTokenColors.systemBad70,
        filledIcon: DefaultLightBaseTokenColors.secondary0,
        strokedIcon: DefaultLightBaseTokenColors.systemBad70,
      ),
      AccentColors(
        dodger: DefaultLightBaseTokenColors.accentBlue70,
        purple: DefaultLightBaseTokenColors.accentPurple70,
        red: DefaultLightBaseTokenColors.accentRed70,
        orange: DefaultLightBaseTokenColors.accentOrange70,
        green: DefaultLightBaseTokenColors.accentGreen70,
      ),
      FeedbackDefaultColors(
        defaultFill: DefaultLightBaseTokenColors.secondary0,
        defaultText: DefaultLightBaseTokenColors.secondary100,
        defaultIcon: DefaultLightBaseTokenColors.primary80,
      ),
      FeedbackInvertColors(
        defaultFill: DefaultLightBaseTokenColors.secondary80,
        hoverFill: DefaultLightBaseTokenColors.secondary100,
        pressedFill: DefaultLightBaseTokenColors.secondary100,
        defaultText: DefaultLightBaseTokenColors.secondary0,
        hoverText: DefaultLightBaseTokenColors.secondary0,
        pressedText: DefaultLightBaseTokenColors.secondary0,
        defaultIcon: DefaultLightBaseTokenColors.secondary0,
        hoverIcon: DefaultLightBaseTokenColors.secondary0,
        pressedIcon: DefaultLightBaseTokenColors.secondary0,
      ),
      FeedbackInfoColors(
        fill: DefaultLightBaseTokenColors.systemInfo20,
        additionalFill: DefaultLightBaseTokenColors.systemInfo70,
        text: DefaultLightBaseTokenColors.systemInfo70,
        additionalText: DefaultLightBaseTokenColors.secondary0,
        icon: DefaultLightBaseTokenColors.systemInfo70,
        additionalIcon: DefaultLightBaseTokenColors.secondary0,
      ),
      FeedbackGoodColors(
        fill: DefaultLightBaseTokenColors.systemGood20,
        additionalFill: DefaultLightBaseTokenColors.systemGood70,
        text: DefaultLightBaseTokenColors.systemGood70,
        additionalText: DefaultLightBaseTokenColors.secondary0,
        icon: DefaultLightBaseTokenColors.systemGood70,
        additionalIcon: DefaultLightBaseTokenColors.secondary0,
      ),
      FeedbackBadColors(
        fill: DefaultLightBaseTokenColors.systemBad20,
        additionalFill: DefaultLightBaseTokenColors.systemBad70,
        text: DefaultLightBaseTokenColors.systemBad70,
        additionalText: DefaultLightBaseTokenColors.secondary0,
        icon: DefaultLightBaseTokenColors.systemBad70,
        additionalIcon: DefaultLightBaseTokenColors.secondary0,
      ),
      FeedbackWarningColors(
        fill: DefaultLightBaseTokenColors.systemWarning20,
        additionalFill: DefaultLightBaseTokenColors.systemWarning70,
        text: DefaultLightBaseTokenColors.systemWarning70,
        additionalText: DefaultLightBaseTokenColors.secondary0,
        icon: DefaultLightBaseTokenColors.systemWarning70,
        additionalIcon: DefaultLightBaseTokenColors.secondary0,
      ),
      ButtonInvertTertiaryColors(
        defaultFill: DefaultLightBaseTokenColors.secondary0,
        hoverFill: DefaultLightBaseTokenColors.secondary0,
        pressedFill: DefaultLightBaseTokenColors.secondary0,
        disabledFill: DefaultLightBaseTokenColors.secondary0,
        focusedFill: DefaultLightBaseTokenColors.secondary0,
        loadingFill: DefaultLightBaseTokenColors.secondary0,
        focusedBorder2: DefaultLightBaseTokenColors.systemWarning40,
        defaultText: DefaultLightBaseTokenColors.primary80,
        hoverText: DefaultLightBaseTokenColors.primary90,
        pressedText: DefaultLightBaseTokenColors.primary100,
        disabledText: DefaultLightBaseTokenColors.primary50,
        focusedText: DefaultLightBaseTokenColors.primary80,
        defaultIcon: DefaultLightBaseTokenColors.primary80,
        hoverIcon: DefaultLightBaseTokenColors.primary90,
        pressedIcon: DefaultLightBaseTokenColors.primary100,
        disabledIcon: DefaultLightBaseTokenColors.primary50,
        focusedIcon: DefaultLightBaseTokenColors.primary80,
        loadingIcon: DefaultLightBaseTokenColors.primary80,
      ),
      OverlayColors(
        black: DefaultLightBaseTokenColors.secondary100,
        gray: DefaultLightBaseTokenColors.secondary80,
      ),
    ],
  );
}
